package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.List;

// 定义CdPlanItemExample类，继承BaseMybatisExample类
public class CdPlanItemExample extends BaseMybatisExample {
    // 定义orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria变量
    public CdPlanItemExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause变量
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause变量
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct变量
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct变量
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria变量
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义GeneratedCriteria内部类
    protected abstract static class GeneratedCriteria {
        // 定义criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria变量
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于指定值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于指定值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于指定值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于指定值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于指定值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于指定值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在指定范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在指定范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在指定范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在指定范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否为空
        public Criteria andCdPlanIdIsNull() {
            addCriterion("CD_PLAN_ID is null");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否不为空
        public Criteria andCdPlanIdIsNotNull() {
            addCriterion("CD_PLAN_ID is not null");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否等于指定值
        public Criteria andCdPlanIdEqualTo(Integer value) {
            addCriterion("CD_PLAN_ID =", value, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否不等于指定值
        public Criteria andCdPlanIdNotEqualTo(Integer value) {
            addCriterion("CD_PLAN_ID <>", value, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否大于指定值
        public Criteria andCdPlanIdGreaterThan(Integer value) {
            addCriterion("CD_PLAN_ID >", value, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否大于等于指定值
        public Criteria andCdPlanIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_PLAN_ID >=", value, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否小于指定值
        public Criteria andCdPlanIdLessThan(Integer value) {
            addCriterion("CD_PLAN_ID <", value, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否小于等于指定值
        public Criteria andCdPlanIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_PLAN_ID <=", value, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否在指定范围内
        public Criteria andCdPlanIdIn(List<Integer> values) {
            addCriterion("CD_PLAN_ID in", values, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否不在指定范围内
        public Criteria andCdPlanIdNotIn(List<Integer> values) {
            addCriterion("CD_PLAN_ID not in", values, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否在指定范围内
        public Criteria andCdPlanIdBetween(Integer value1, Integer value2) {
            addCriterion("CD_PLAN_ID between", value1, value2, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_PLAN_ID是否不在指定范围内
        public Criteria andCdPlanIdNotBetween(Integer value1, Integer value2) {
            addCriterion("CD_PLAN_ID not between", value1, value2, "cdPlanId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否为空
        public Criteria andCdItemIdIsNull() {
            addCriterion("CD_ITEM_ID is null");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否不为空
        public Criteria andCdItemIdIsNotNull() {
            addCriterion("CD_ITEM_ID is not null");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否等于指定值
        public Criteria andCdItemIdEqualTo(Integer value) {
            addCriterion("CD_ITEM_ID =", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否不等于指定值
        public Criteria andCdItemIdNotEqualTo(Integer value) {
            addCriterion("CD_ITEM_ID <>", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否大于指定值
        public Criteria andCdItemIdGreaterThan(Integer value) {
            addCriterion("CD_ITEM_ID >", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否大于等于指定值
        public Criteria andCdItemIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_ITEM_ID >=", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否小于指定值
        public Criteria andCdItemIdLessThan(Integer value) {
            addCriterion("CD_ITEM_ID <", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否小于等于指定值
        public Criteria andCdItemIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_ITEM_ID <=", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否在指定范围内
        public Criteria andCdItemIdIn(List<Integer> values) {
            addCriterion("CD_ITEM_ID in", values, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否不在指定范围内
        public Criteria andCdItemIdNotIn(List<Integer> values) {
            addCriterion("CD_ITEM_ID not in", values, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否在指定范围内
        public Criteria andCdItemIdBetween(Integer value1, Integer value2) {
            addCriterion("CD_ITEM_ID between", value1, value2, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否不在指定范围内
        public Criteria andCdItemIdNotBetween(Integer value1, Integer value2) {
            addCriterion("CD_ITEM_ID not between", value1, value2, "cdItemId");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否为空
        public Criteria andCountValueIsNull() {
            addCriterion("COUNT_VALUE is null");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否不为空
        public Criteria andCountValueIsNotNull() {
            addCriterion("COUNT_VALUE is not null");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否等于指定值
        public Criteria andCountValueEqualTo(Integer value) {
            addCriterion("COUNT_VALUE =", value, "countValue");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否不等于指定值
        public Criteria andCountValueNotEqualTo(Integer value) {
            addCriterion("COUNT_VALUE <>", value, "countValue");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否大于指定值
        public Criteria andCountValueGreaterThan(Integer value) {
            addCriterion("COUNT_VALUE >", value, "countValue");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否大于等于指定值
        public Criteria andCountValueGreaterThanOrEqualTo(Integer value) {
            addCriterion("COUNT_VALUE >=", value, "countValue");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否小于指定值
        public Criteria andCountValueLessThan(Integer value) {
            addCriterion("COUNT_VALUE <", value, "countValue");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否小于等于指定值
        public Criteria andCountValueLessThanOrEqualTo(Integer value) {
            addCriterion("COUNT_VALUE <=", value, "countValue");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否在指定范围内
        public Criteria andCountValueIn(List<Integer> values) {
            addCriterion("COUNT_VALUE in", values, "countValue");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否不在指定范围内
        public Criteria andCountValueNotIn(List<Integer> values) {
            addCriterion("COUNT_VALUE not in", values, "countValue");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否在指定范围内
        public Criteria andCountValueBetween(Integer value1, Integer value2) {
            addCriterion("COUNT_VALUE between", value1, value2, "countValue");
            return (Criteria) this;
        }

        // 判断COUNT_VALUE是否不在指定范围内
        public Criteria andCountValueNotBetween(Integer value1, Integer value2) {
            addCriterion("COUNT_VALUE not between", value1, value2, "countValue");
            return (Criteria) this;
        }
    }

    // 定义Criteria内部类
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    // 定义Criterion内部类
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        // 获取condition变量
        public String getCondition() {
            return condition;
        }

        // 获取value变量
        public Object getValue() {
            return value;
        }

        // 获取secondValue变量
        public Object getSecondValue() {
            return secondValue;
        }

        // 判断是否没有值
        public boolean isNoValue() {
            return noValue;
        }

        // 判断是否是单个值
        public boolean isSingleValue() {
            return singleValue;
        }

        // 判断是否是范围值
        public boolean isBetweenValue() {
            return betweenValue;
        }

        // 判断是否是列表值
        public boolean isListValue() {
            return listValue;
        }

        // 获取typeHandler变量
        public String getTypeHandler() {
            return typeHandler;
        }

        // 构造函数，初始化condition变量
        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        // 构造函数，初始化condition、value和typeHandler变量
        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        // 构造函数，初始化condition和value变量
        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        // 构造函数，初始化condition、value、secondValue和typeHandler变量
        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        // 构造函数，初始化condition、value和secondValue变量
        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}